Lintian ReportsBETA

Wmaintainer-script-should-not-parse-etc-passwd-or-group

Tag versions

The tag is present in Lintian version 2.109.3. That is the most recent version we know about.

The maintainer script appears to manually parse /etc/passwd or /etc/group instead of using the getent(1) utility to display entries.

This bypasses the Name Service Switch (NSS), avoiding querying centralised or networked user databases such as LDAP, etc.

Please refer to the getent(1) manual page and the nss(5) manual page for details.

Visibility: warning

Check: scripts

The following 8 source packages in the archive triggered the tag 13 times.

There were no overrides.